<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">	
	<xsl:output method="html" encoding="utf-8" indent="no"/>
	
	<xsl:strip-space elements="*"/>
	
	<xsl:template name="bg">
		<xsl:if test="position() mod 2 = 1">
			<xsl:attribute name="bgcolor">#EFEFEF</xsl:attribute>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="/ROOT">
		<div style="background-color:buttonshadow;color:window;padding:3px"><b>Исходящие</b></div>
			<table border="0" cellpadding="1" cellspacing="0">
			<tr>
			<td style="border:1px outset;background-color:buttonface" width="16"><img src="i/e.gif"/></td>
			<td style="border:1px outset;background-color:buttonface" width="16"><input type="checkbox" onclick="selectAll(this)"/></td>
			<td style="border:1px outset;background-color:buttonface" width="16"><img alt="Отправлено" src="i/sent.gif" height="16" width="16"/></td>
			<td style="border:1px outset;background-color:buttonface">Тип:</td>
			<td style="border:1px outset;background-color:buttonface">Куда:</td>
			<td style="border:1px outset;background-color:buttonface">Тема:</td>
			<td style="border:1px outset;background-color:buttonface">Сообщение:</td>
			</tr>
			<xsl:for-each select="./row">
				<tr>
					<td valign="top" id="status{./@c}"><xsl:call-template name="bg"/>
						<xsl:choose>
							<xsl:when test="./@sent = 0">
								<img src="i/mail.png" id="img{./@c}" alt="Готово к отправке"/>
							</xsl:when>
							<xsl:otherwise>
								<img src="i/re.png" id="img{./@c}" alt="Отправлено"/>
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td valign="top"><xsl:call-template name="bg"/><input cls="checkbox" type="checkbox" c="{./@c}"/></td>
					<td valign="top"><xsl:call-template name="bg"/>
						<input cls="sent"     type="checkbox" id="chkok{./@c}" onclick="setSentFlag(this, {./@c})">
							<xsl:if test="./@sent = 1">
								<xsl:attribute name="checked">checked</xsl:attribute>
							</xsl:if>
						</input>
					</td>
					<td valign="top"><xsl:call-template name="bg"/><xsl:value-of select="./@target"/></td>
					<td valign="top"><xsl:call-template name="bg"/><xsl:value-of select="./@forumtitle"/></td>
					<td valign="top"><xsl:call-template name="bg"/><b><xsl:value-of select="./@title"/></b></td>
					<td valign="top"><xsl:call-template name="bg"/><xsl:value-of select="./@message" disable-output-escaping="no"/></td>
				</tr>	
			</xsl:for-each>
			</table>
		</xsl:template>
</xsl:stylesheet>